# Uplink einrichten
Früher nutzten wir zwei mehr oder weniger zuverlässige Uplinks. Aus dieser Zeit stammt diese "Anleitung".

Der Server muss so konfiguriert werden, dass eine Netzwerkschnittestelle als Uplink funktioniert.
Denkbar ist auch, je nach verfügbarkeit zwischen verschiedenen Uplinks zu wechseln
## Vorgehen und nützliche Befehle
Es bietet sich an, erstmal einen Überblink von der Ausgangssituation zu bekommen:

    ip route show
    ip route list
    ip route del <addr> dev <dev> 

## History aus dem Unstellen des Uplinks

    397  ip route del 192.168.125.1 dev upstream  scope link  metric 1024 
    398  ip route shpw
    399  ip route show
    400  ip route del 192.168.125.0/24 dev upstream  proto kernel  scope link  src 192.168.125.203 
    401  ip route show
    402  systemctl stop ip_forward_service
    403  systemctl stop ip_forward
    404  iptables -F
    405  iptables -t nat -A POSTROUTING -o eth1 -j MASQUERADE
    406  iptables --append FORWARD -i eth0 -j ACCEPT
    407  ip route show
    408  ip route list
    409  ip route del default via 192.168.16.50 dev eth1 
    410  ip route add default via 192.168.125.1 dev upstream  scope link  metric 1024
    411  ip route add 192.168.125.1 dev upstream  scope link  metric 1024
    412  ip route add 192.168.125.0/24 dev upstream  proto kernel  scope link  src 192.168.125.203
    413  ip route 
    414  ip route add default via 192.168.125.1 dev upstream
    415  ip route list
    416  vim /etc/dhcp/dhcpd.conf
    417  systemctl start ip_forward
    418  systemctl restart systemd-networkd.service 
    419  ip route show
    420  ip route 
    421  ping 8.8.8.8
    422  ping 192.168.125.1
    423  ping 192.168.42.23
    424  ip route 
    425  ip route del default via 192.168.125.1 dev upstream 
    426  ip route add default via 192.168.16.50 dev eth1
    427  ping 8.8.8.8
    428  ping 192.168.42.23
    429  ping 8.8.8.8
    430  systemctl restart openvpn@to_paul.service 
    431  ls
    432  ping 8.8.8.8

